Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1656281 - Webadmin-Custom Preview Snapshot window - disable the option to preview active VM
Summary: Webadmin-Custom Preview Snapshot window - disable the option to preview activ...
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: bugs@ovirt.org
QA Contact: meital avital
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-05 07:14 UTC by Avihai
Modified: 2020-06-26 16:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-01 14:47:23 UTC
oVirt Team: Virt
rbarry: ovirt-4.5?


Attachments (Terms of Use)
Print screen of the custom preview snapshot window (207.58 KB, image/png)
2018-12-05 07:14 UTC, Avihai
no flags Details

Description Avihai 2018-12-05 07:14:37 UTC
Created attachment 1511553 [details]
Print screen of the custom preview snapshot window

Description of problem:
Webadmin->Custom Preview Snapshot window -> You can choose all of the active VM raw (disks, configuration..) & ask to preview it -> you get an error that you can't preview the active VM.

As we already know active VM cannot be previewed, please disable the option to apply/OK when choosing all checkbox's inactive VM row.

Please disable the option to choose active VM 

Version-Release number of selected component (if applicable):
ovirt engine: 4.3.0-0.2.master.20181128141347.git38908dd.el7

How reproducible:
100%

Steps to Reproduce:
1.Webadmin->Custom Preview Snapshot window ->choose active VM raw 


Actual results:
You can choose active VM & ask to preview it -> you get an error that you can't preview the active VM which is OK but can be avoided if this option is disabled in the first place.

Expected results:
Disable the option to choose active VM


Additional info:

Comment 1 Ryan Barry 2019-01-03 12:49:58 UTC
This will not be addressed in a reasonable timeframe. Please re-open if it's still important.

Comment 2 Avihai 2019-01-03 13:19:40 UTC
The issue is still there, even if it's low priority and will not be fixed in the upcoming timeframe please defer it and do not close it.

Comment 3 Michal Skrivanek 2020-03-18 15:43:57 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 4 Michal Skrivanek 2020-03-18 15:47:07 UTC
This bug didn't get any attention for a while, we didn't have the capacity to make any progress. If you deeply care about it or want to work on it please assign/target accordingly

Comment 5 Michal Skrivanek 2020-04-01 14:47:23 UTC
Closing old bug. Please reopen if still relevant/you want to work on it.


Note You need to log in before you can comment on or make changes to this bug.